<?php

namespace Tests\IntegrationTests;

use Tests\Util;
use PHPUnit\Framework\TestCase;

abstract class HcmServicesIntegrationTestCase extends TestCase {
    abstract public static function createTestData(): void;
    abstract public static function destroyTestData(): void;

    public function setUp(): void {
        Util::setDefaultTestSession();
    }

    public static function setUpBeforeClass(): void {
        static::destroyTestData();
        static::createTestData();
    }

    public static function tearDownAfterClass(): void {
        static::destroyTestData();
    }
}
